%define __libtoolize    /bin/true

%define lib_name_orig %mklibname kst
%define lib_major 1
%define lib_name %lib_name_orig%lib_major

%define lib_name_orig_old %mklibname kst
%define lib_major_old 0
%define lib_name_old %lib_name_orig_old%lib_major_old

Name:           kst
Summary:        A really cool plotting and data viewing program.
Version:        1.0
Release:        4mdk
Source:         %{name}-1.0.0.tar.bz2
URL:            http://omega.astro.utoronto.ca/kst/
Group:		Graphical desktop/KDE
BuildRoot:      %_tmppath/%name-buildroot
License:		GPL
BuildRequires:	kdelibs-devel
BuildRequires:	gsl-devel
BuildRequires:	cfitsio-devel
Requires:       kdebase >= 3.0.2
Requires:	%lib_name = %version-%release
Requires:	gsl

%description
A really cool plotting and data viewing program.


%package -n %lib_name
Group:		Development/KDE and Qt
Summary:	Librairies files for Kst
Conflicts:	%lib_name_old <= 0.97-2mdk

%description -n %lib_name
Librairies file for Kst

%package -n %lib_name-devel
Group:		Development/KDE and Qt
Summary:	Header files for developing koffice applications
Requires:      %{lib_name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}
Provides:	%{_lib}%{name}-devel = %{version}
Conflicts:	%{lib_name_old}-devel <= 0.97-2mdk


%description -n %lib_name-devel
Header files needed for developing kst applications.



%prep
rm -rf $RPM_BUILD_ROOT 

%setup -q -n%name-1.0.0
make -f admin/Makefile.common cvs

export QTDIR=%_prefix/%_lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%{?__cputoolize: %{__cputoolize} }



%configure --disable-rpath \
           --disable-debug 

%build
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#Menu
install -d $RPM_BUILD_ROOT%{_menudir}
kdedesktop2mdkmenu.pl %{name} Applications/Education/Sciences $RPM_BUILD_ROOT%{_datadir}/applnk/Applications/Sciences/kst.desktop $RPM_BUILD_ROOT%{_menudir}/%{name}

install -d %{buildroot}/{%{_miconsdir},%{_liconsdir}}
ln -s %{_iconsdir}/locolor/32x32/apps/%{name}.png %{buildroot}/%{_iconsdir}/%{name}.png
ln -s %{_iconsdir}/locolor/32x32/apps/%{name}.png %{buildroot}/%{_liconsdir}/%{name}.png
ln -s %{_iconsdir}/locolor/16x16/apps/%{name}.png %{buildroot}/%{_miconsdir}/%{name}.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%post -n %lib_name -p /sbin/ldconfig

%postun -n %lib_name -p /sbin/ldconfig

%post -n %lib_name-devel -p /sbin/ldconfig

%postun -n %lib_name-devel -p /sbin/ldconfig

%files -n %lib_name
%defattr(-,root,root)
%_libdir/libkst.so.*


%files -n %lib_name-devel
%defattr(-,root,root)
#
%_includedir/*.h
%_libdir/libkst.so
%_libdir/libkst.la


%files -f %name.lang
%defattr(-,root,root,0755)
%_bindir/*

#%_libdir/libkst.la
%_libdir/kde3/*.la
%_libdir/kde3/*.so

%_libdir/kde3/kstplugins/*.la
%_libdir/kde3/kstplugins/*.so
%_libdir/kde3/kstplugins/*.xml
#%_libdir/libkst.so.*


%_menudir/*
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%_datadir/applnk/Applications/Sciences/kst.desktop

%dir %_datadir/apps/kst/
%_datadir/apps/kst/*.rc

%doc %_docdir/HTML/en/kst/common
%doc %_docdir/HTML/en/kst/*.bz2
%doc %_docdir/HTML/en/kst/*.docbook
%doc %_docdir/HTML/en/kst/*.png

%doc %_docdir/HTML/da/kst/common
%doc %_docdir/HTML/da/kst/*.bz2
%doc %_docdir/HTML/da/kst/*.docbook

%doc %_docdir/HTML/es/kst/*.docbook

%doc %_docdir/HTML/et/kst/common
%doc %_docdir/HTML/et/kst/*.bz2
%doc %_docdir/HTML/et/kst/*.docbook
%doc %_docdir/HTML/et/kst/*.png

%doc %_docdir/HTML/fr/kst/common
%doc %_docdir/HTML/fr/kst/*.bz2
%doc %_docdir/HTML/fr/kst/*.docbook

%doc %_docdir/HTML/it/kst/*.docbook
%doc %_docdir/HTML/it/kst/common
%doc %_docdir/HTML/it/kst/*.bz2

%doc %_docdir/HTML/pt/kst/*.docbook
%doc %_docdir/HTML/pt/kst/common
%doc %_docdir/HTML/pt/kst/*.bz2


%doc %_docdir/HTML/sv/kst/*.png
%doc %_docdir/HTML/sv/kst/*.docbook
%doc %_docdir/HTML/sv/kst/common
%doc %_docdir/HTML/sv/kst/*.bz2

%doc %_docdir/HTML/nl/kst/*.docbook
%doc %_docdir/HTML/nl/kst/common
%doc %_docdir/HTML/nl/kst/*.bz2


%_datadir/icons/hicolor/16x16/mimetypes/*.png
%_datadir/icons/hicolor/22x22/actions/*.png

%_datadir/icons/hicolor/32x32/mimetypes/kst.png
%_datadir/icons/locolor/16x16/apps/kst.png
%_datadir/icons/locolor/16x16/mimetypes/kst.png
%_datadir/icons/locolor/32x32/apps/kst.png
%_datadir/icons/locolor/32x32/mimetypes/kst.png

%_datadir/mimelnk/application/x-kst.desktop

%dir %_datadir/services/kst/
%_datadir/services/kst/*.desktop

%dir %_datadir/servicetypes/kst/
%_datadir/servicetypes/kst/*.desktop

"%_datadir/config/colors/Kst Colors"
"%_datadir/config/colors/Kst Grayscale 256"
"%_datadir/config/colors/Kst Spectrum 1021"

%changelog
* Fri Mar 25 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-4mdk
- Fix compile under x86_64

* Fri Mar 25 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-3mdk
- Fix conflict

* Fri Nov 26 2004 Bchan Milne <bgmilne@linux-mandrake.com> 1.0-2mdk
- remove redundant buildrequires
- buildrequire gsl-devel and cfitsio-devel (and thus get fits support)
- correct lib mjor
-cleanups

* Wed Nov 24 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.00-1mdk
- 1.00

* Thu Nov 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.99-1mdk
- 0.99

* Fri Jul 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.97-2mdk
- Rebuild

* Tue May 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-1mdk
- First package

